Saltar al contenido principal
GET
/
api
/
v1
/
consumptions
/
dashboard
Get Consumptions Dashboard
curl --request GET \
  --url https://www.manglai.io/api/v1/consumptions/dashboard \
  --header 'Authorization: Bearer <token>'
"<unknown>"

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de consulta

companyId
string
requerido

CompanyId

startDate
string<date>
endDate
string<date>
categoryIds
string[]

List of category id

buildingIds
string[]

List of building id

entityIds
string[]

List of entity id (vehicleId, invoiceId, surveyAnswerId)

hasCountries
boolean

Include country-level data

page
integer

Page number

limit
integer

Maximum number of items per page

Respuesta

200 - application/json

A summary of consumptions

The response is of type any.